Bug 723653 - gstreamer-plugins-entrans causes pitivi to fail to start: 'NoneType' object has no attribute 'pad_id'
Summary: gstreamer-plugins-entrans causes pitivi to fail to start: 'NoneType' object h...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 16
Hardware: All
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:81c218c8d5b89f559513df88f0f...
: 744631 766126 768303 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-20 18:33 UTC by Chen_Min_Chin
Modified: 2013-02-14 02:31 UTC (History)
20 users (show)

Fixed In Version: pitivi-0.15.0-3.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 02:31:24 UTC
Type: ---


Attachments (Terms of Use)
Ignore unknown stream types at startup (1.18 KB, text/plain)
2011-11-18 16:29 UTC, Cole Robinson
no flags Details

Description Chen_Min_Chin 2011-07-20 18:33:52 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        
component:      pitivi
executable:     /usr/bin/pitivi
kernel:         2.6.38.8-35.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        pitivi-0.14.0-2.fc15
reason:         stream.py:362:get_stream_for_pad:AttributeError: 'NoneType' object has no attribute 'pad_id'
time:           Thu Jul 21 02:32:34 2011
uid:            500
username:       chen

backtrace:
:stream.py:362:get_stream_for_pad:AttributeError: 'NoneType' object has no attribute 'pad_id'
:
:Traceback (most recent call last):
:  File "/usr/bin/pitivi", line 143, in <module>
:    _run_pitivi()
:  File "/usr/bin/pitivi", line 138, in _run_pitivi
:    sys.exit(ptv.main(sys.argv))
:  File "/usr/share/pitivi/python/pitivi/application.py", line 530, in main
:    ptv = StartupWizardGuiPitivi(debug=options.debug)
:  File "/usr/share/pitivi/python/pitivi/application.py", line 382, in __init__
:    FullGuiPitivi.__init__(self, debug)
:  File "/usr/share/pitivi/python/pitivi/application.py", line 275, in __init__
:    InteractivePitivi.__init__(self, debug)
:  File "/usr/share/pitivi/python/pitivi/application.py", line 223, in __init__
:    Pitivi.__init__(self)
:  File "/usr/share/pitivi/python/pitivi/application.py", line 135, in __init__
:    self.effects = EffectsHandler()
:  File "/usr/share/pitivi/python/pitivi/effects.py", line 122, in __init__
:    self._setAllEffects()
:  File "/usr/share/pitivi/python/pitivi/effects.py", line 140, in _setAllEffects
:    added = self.addStreams(element_factory, effect)
:  File "/usr/share/pitivi/python/pitivi/effects.py", line 191, in addStreams
:    stream = get_stream_for_pad(pad)
:  File "/usr/share/pitivi/python/pitivi/stream.py", line 362, in get_stream_for_pad
:    stream.pad_id = pad_id
:AttributeError: 'NoneType' object has no attribute 'pad_id'
:
:Local variables in innermost frame:
:store_pad: False
:caps: <GstCaps at 0x8d3f940>
:pad: <GstPad (---:sink) at 8c46a68>
:stream: None
:pad_id: []

comment:
:1.try start pitivi.
:2.start failed.

Comment 1 Chen_Min_Chin 2011-07-20 18:34:23 UTC
Package: pitivi-0.14.0-2.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
1.try start pitivi.
2.start failed.

Comment 2 Guillaume Kulakowski 2011-08-28 19:27:11 UTC
Same issue on X86_64 :
> llaumgui@enterprise ~> rpm -qa | grep pitivi
> pitivi-0.14.0-2.fc15.noarch

> llaumgui@enterprise ~> rpm -qa | grep gstreamer | sort
> bluez-gstreamer-4.87-7.fc15.x86_64
> gstreamer-0.10.34-1.fc15.x86_64
> gstreamer-ffmpeg-0.10.11-2.fc15.x86_64
> gstreamer-plugins-bad-0.10.22-1.fc15.x86_64
> gstreamer-plugins-bad-free-0.10.22-1.fc15.x86_64
> gstreamer-plugins-bad-free-extras-0.10.22-1.fc15.x86_64
> gstreamer-plugins-bad-nonfree-0.10.22-1.fc15.x86_64
> gstreamer-plugins-base-0.10.33-1.fc15.x86_64
> gstreamer-plugins-base-tools-0.10.33-1.fc15.x86_64
> gstreamer-plugins-entrans-0.10.3-3.fc15.x86_64
> gstreamer-plugins-espeak-0.3.3-3.fc15.x86_64
> gstreamer-plugins-fc-0.2-2.fc15.x86_64
> gstreamer-plugins-good-0.10.29-1.fc15.x86_64
> gstreamer-plugins-ugly-0.10.18-1.fc15.x86_64
> gstreamer-python-0.10.19-2.fc15.x86_64
> gstreamer-rtsp-0.10.7-3.fc15.x86_64
> gstreamer-tools-0.10.34-1.fc15.x86_64
> PackageKit-gstreamer-plugin-0.6.17-1.fc15.x86_64

Comment 3 Hicham HAOUARI 2011-08-28 22:07:47 UTC
Is this bug reproducible ?

Comment 4 rob martin 2011-09-11 07:56:13 UTC
Package: pitivi-0.14.0-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Try to start pitivi - crash

Comment 5 adam 2011-09-20 23:27:16 UTC
Package: pitivi-0.14.0-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Fresh install of fedora 15
yum install pitivi
launch pitivi

Comment 6 Elad Alfassa 2011-09-24 09:47:22 UTC
Package: pitivi-0.14.0-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Start pitivi

Comment 7 moh 2011-09-29 19:04:37 UTC
Package: pitivi-0.14.0-2.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
at launch

Comment 8 Cole Robinson 2011-11-18 16:24:09 UTC
*** Bug 744631 has been marked as a duplicate of this bug. ***

Comment 9 Cole Robinson 2011-11-18 16:27:48 UTC
The cause seems to be having gstreamer-plugins-entrans installed. 

debian bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=630633
upstream report: https://bugzilla.gnome.org/show_bug.cgi?id=606125

I've also got a small patch that worked for me without installing the gstreamer
package, and I'm 99% confident it should be safe to apply for fedora.

Comment 10 Cole Robinson 2011-11-18 16:29:51 UTC
Created attachment 534429 [details]
Ignore unknown stream types at startup

Previous comment should say 'without UNinstalling the gstreamer package'

Comment 11 Roberto Parente 2011-11-21 23:31:28 UTC
Package: pitivi-0.15.0-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
I was instaled pitivi and when I went open it, crash!

Comment 12 Roberto Parente 2011-11-24 19:39:32 UTC
Package: pitivi-0.15.0-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Only start aplication...

Comment 13 Roberto Parente 2011-11-28 15:02:15 UTC
Package: pitivi-0.15.0-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Only start aplication...

Comment 14 Cole Robinson 2012-02-05 15:33:44 UTC
Hi Hicham, I see you've done the last few pitivi builds. This bug causes pitivi to completely fail to start for people that happen to have gstreamer-plugins-entrans installed. I provided a small patch in comment #10 that seems to avoid the startup issue. Any chance we could get an f16 build? Thanks.

Comment 15 Martin Dengler 2012-02-05 16:44:25 UTC
patch fixes the problem for me (F16)

Comment 16 Hicham HAOUARI 2012-02-06 09:13:01 UTC
@Cole: Thanks for the patch, I will try to provide a build with this patch ASAP.

Comment 17 Cole Robinson 2012-02-29 17:55:47 UTC
*** Bug 766126 has been marked as a duplicate of this bug. ***

Comment 18 Cole Robinson 2012-02-29 17:55:56 UTC
*** Bug 768303 has been marked as a duplicate of this bug. ***

Comment 19 Cole Robinson 2012-02-29 18:18:49 UTC
Hicham, any news? Unfortunately this still isn't fixed in the recent 0.15.1 release.

I've filed a gnome bug with that patch upstream as well:

https://bugzilla.gnome.org/show_bug.cgi?id=671079

Comment 20 Gideon Mayhak 2012-03-04 00:40:21 UTC
I just tried to open the program.

Package: pitivi-0.15.0-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 21 bestbilla 2012-03-04 20:56:25 UTC
just start pitivi after installing

Package: pitivi-0.15.0-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 22 Luke Macken 2012-03-16 07:19:19 UTC
The first time running pitivi lead to this traceback.

Package: pitivi-0.15.0-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 23 Cole Robinson 2012-03-27 15:11:56 UTC
Hicham or Jon, any word on a build? There's a simple patch in Comment #10. Thanks

Comment 24 Gwyn Ciesla 2012-03-27 15:29:11 UTC
If Hicham doesn't do this today, I will.

Comment 25 Gwyn Ciesla 2012-03-27 17:07:17 UTC
It's in rawhide, f17, f16 and f15 are on their way.

Comment 26 Fedora Update System 2012-03-27 17:34:02 UTC
pitivi-0.15.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pitivi-0.15.0-3.fc16

Comment 27 Fedora Update System 2012-03-27 17:34:12 UTC
pitivi-0.15.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pitivi-0.15.0-3.fc17

Comment 28 Fedora Update System 2012-03-27 17:34:23 UTC
pitivi-0.15.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pitivi-0.15.0-3.fc15

Comment 29 Fedora Update System 2012-03-28 05:55:51 UTC
Package pitivi-0.15.0-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pitivi-0.15.0-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4783/pitivi-0.15.0-3.fc17
then log in and leave karma (feedback).

Comment 30 Fedora Update System 2012-04-11 03:55:48 UTC
pitivi-0.15.0-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2012-04-11 04:01:34 UTC
pitivi-0.15.0-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2012-04-11 16:57:21 UTC
pitivi-0.15.0-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2012-04-11 16:58:16 UTC
pitivi-0.15.0-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2012-04-12 03:34:18 UTC
pitivi-0.15.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Michal Ambroz 2012-08-26 10:38:33 UTC
Error seems to be back with pitivi-0.15.2-1.fc17.noarch
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
Traceback (most recent call last):
  File "/usr/bin/pitivi", line 134, in <module>
    _run_pitivi()
  File "/usr/bin/pitivi", line 129, in _run_pitivi
    sys.exit(ptv.main(sys.argv))
  File "/usr/lib/pitivi/python/pitivi/application.py", line 514, in main
    ptv = StartupWizardGuiPitivi(debug=options.debug)
  File "/usr/lib/pitivi/python/pitivi/application.py", line 371, in __init__
    FullGuiPitivi.__init__(self, debug)
  File "/usr/lib/pitivi/python/pitivi/application.py", line 264, in __init__
    InteractivePitivi.__init__(self, debug)
  File "/usr/lib/pitivi/python/pitivi/application.py", line 212, in __init__
    Pitivi.__init__(self)
  File "/usr/lib/pitivi/python/pitivi/application.py", line 128, in __init__
    self.effects = EffectsHandler()
  File "/usr/lib/pitivi/python/pitivi/effects.py", line 123, in __init__
    self._setAllEffects()
  File "/usr/lib/pitivi/python/pitivi/effects.py", line 141, in _setAllEffects
    added = self.addStreams(element_factory, effect)
  File "/usr/lib/pitivi/python/pitivi/effects.py", line 189, in addStreams
    stream = get_stream_for_pad(pad)
  File "/usr/lib/pitivi/python/pitivi/stream.py", line 373, in get_stream_for_pad
    stream.pad_id = pad_id
AttributeError: 'NoneType' object has no attribute 'pad_id'

Comment 36 Michal Ambroz 2012-08-26 10:40:13 UTC
Just starting the pitivi

Package: pitivi-0.15.2-1.fc17
OS Release: Fedora release 17 Alpha (Beefy Miracle)

Comment 37 Fedora End Of Life 2013-01-17 00:54:12 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 38 Fedora End Of Life 2013-02-14 02:31:28 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.